=== debian/changelog ===
rebind (0.3.4-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 16:58:05 +0200

rebind (0.3.4-1kali7) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Drop fields with obsolete URLs.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * d/watch: Added a fake site to explain current status.
  * Add lintian overrides.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Wed, 01 Mar 2023 11:40:34 -0600

rebind (0.3.4-1kali6) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Refresh patches
  * Switch to Python3
  * Update debian/rules: fix clean and remove useless override
  * Add a patch to remove mutliple declarations error
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Jun 2021 16:02:19 +0200

rebind (0.3.4-1kali5) kali-dev; urgency=medium

  * Rename rebind binary into dns-rebind (closes: 3522)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 02 Sep 2016 09:14:36 +0200

rebind (0.3.4-1kali4) kali-dev; urgency=medium

  * Drop build-dependency on python-support (obsolete package)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 04 Mar 2016 15:40:31 +0100

rebind (0.3.4-1kali3) kali; urgency=low

  * Edited rules to fix 32bit build

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 10:18:01 -0700

rebind (0.3.4-1kali2) kali; urgency=low

  * Changed the build routine

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 10:04:29 -0700

rebind (0.3.4-1kali1) kali; urgency=low

  * Edited build depends

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 08:36:05 -0700

rebind (0.3.4-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 31 Dec 2012 08:07:32 -0700
