=== debian/control ===
Source: rebind
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), python3-all
Standards-Version: 4.6.2

Package: rebind
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DNS rebinding tool
 Rebind is a tool that implements the multiple A record DNS
 rebinding attack. Although this tool was originally written
 to target home routers, it can be used to target any public
 (non RFC1918) IP address.
 .
 Rebind provides an external attacker access to a target
 router's internal Web interface. This tool works on routers
 that implement the weak end system model in their IP stack,
 have specifically configured firewall rules, and who bind
 their Web service to the router's WAN interface. Note that
 remote administration does not need to be enabled for this
 attack to work. All that is required is that a user inside
 the target network surf to a Web site that is controlled,
 or has been compromised, by the attacker.
